Subject: Re: bug#75477: 31.0.50; scratch/igc: crash on the latest commit

From: Gerd Möllmann <[email-masked]>
Date: Fri, 10 Jan 2025 18:41:29 +0100

Ihor Radchenko <[email-masked]> writes:

> Ihor Radchenko <[email-masked]> writes:
>
>>> Weird.  Always worked here.  Does M-x igc-snapshot work?  Or M-x
>>> igc--roots-snapshot ? (Note: double dash for the latter).
>>
>> Just checked with emacs -Q and it is working there. Something in my config...
>>
>
> ... or not. Fresh Emacs did show something in that buffer.
>
> I figured that I automatically used M-r (revert-buffer) and that emptied
> the buffer.

Okay, that reminds me: there is also a 'g' to refresh D which uses
revert-buffer-function. 'g' makes a new B snapshot, and switches to D to
display a new diff. Kind of a shortcut.

> After trying to kill it, next invocation of M-x igc-root-stats gave me

Can't reproduce this here. If you find a reproducer, please make a bug
for it so that it doesn't get lost.